package com.udapsoft.modular.web.tags;

import java.util.Map;

public class SearchTag extends TemplateBasedRequestContextAwareTag {

	private static final long serialVersionUID = 7445754925610570118L;
	private String id;

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	protected int doBuildModelForStartTag(Map model) throws Exception {
		evaluateStringAndSetModel(model, "id", this.pageContext);
		return 1;
	}

	protected int doBuildModelForEndTag(Map model) throws Exception {
		return 6;
	}

}
